org.eclipse.wst.jsdt.chromium.debug.core.model

## Class SourceWrapSupport.StringBasedWrapper

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.SourceWrapSupport.StringBasedWrapper

All Implemented Interfaces:
  SourceWrapSupport.Wrapper

Enclosing class:
  SourceWrapSupport

    public static class SourceWrapSupport.StringBasedWrapper
    extends java.lang.Object
    implements SourceWrapSupport.Wrapper

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.debug.core.model.SourceWrapSupport.Wrapper

`SourceWrapSupport.Wrapper.Match`

### Constructor Summary

Constructors
Constructor and Description
`StringBasedWrapper(java.lang.String name, java.lang.String prefix, java.lang.String suffix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`SourceWrapSupport.Wrapper.Match` `match(java.lang.String remoteContent)` Checks whether remoteContext text has this particular wrapping.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringBasedWrapper

    public StringBasedWrapper(java.lang.String name,
                              java.lang.String prefix,
                              java.lang.String suffix)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `SourceWrapSupport.Wrapper`
Returns:
  user-visible wrapper name

#### match

    public SourceWrapSupport.Wrapper.Match match(java.lang.String remoteContent)

Description copied from interface: `SourceWrapSupport.Wrapper`
Checks whether remoteContext text has this particular wrapping.

Specified by:
  `match` in interface `SourceWrapSupport.Wrapper`
Returns:
  match object if input matches or null